Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.cls
Class HiddenClassTreeNode

    java.lang.Object
      edu.stanford.smi.protege.util.LazyTreeNode
          edu.stanford.smi.protegex.owl.ui.cls.ClassTreeNode
              edu.stanford.smi.protegex.owl.ui.cls.HiddenClassTreeNode

All Implemented Interfaces:
  TreeNode

    public class HiddenClassTreeNode

extends ClassTreeNode

Author:
  Nick Drummond, Medical Informatics Group, University of Manchester 23-Feb-2006

Constructor Summary
`HiddenClassTreeNode(HiddenClassTreeRoot hiddenClassTreeRoot, edu.stanford.smi.protege.model.Cls cls)`

Method Summary
`protected edu.stanford.smi.protege.util.LazyTreeNode` | `createNode(Object o)`
`protected int` | `getChildObjectCount()`
`protected Collection` | `getChildObjects()`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.cls.ClassTreeNode
`dispose, getCls, getComparator, notifyNodeChanged, toString`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeNode
`childAdded, childAdded, childRemoved, children, compareTo, equals, getAllowsChildren, getChildAt, getChildCount, getIndex, getIndex, getLazyTreeNodeParent, getParent, getUserObject, getUserObjectIndex, isDuplicate, isLeaf, isSorted, loadChildObjects, notifyChildNodeAdded, notifyChildNodeRemoved, notifyNodeChanged, notifyNodeStructureChanged, reload, reload, setIsLoaded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HiddenClassTreeNode

    public HiddenClassTreeNode(HiddenClassTreeRoot hiddenClassTreeRoot,
                               edu.stanford.smi.protege.model.Cls cls)

Method Detail

### createNode

    protected edu.stanford.smi.protege.util.LazyTreeNode createNode(Object o)

  Overrides:
    `createNode` in class `ClassTreeNode`

### getChildObjectCount

    protected int getChildObjectCount()

  Overrides:
    `getChildObjectCount` in class `ClassTreeNode`

### getChildObjects

    protected Collection getChildObjects()

  Overrides:
    `getChildObjects` in class `ClassTreeNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.